sse.bridges {bio3d} | R Documentation

## SSE Backbone Hydrogen Bonding

### Description

Determine backbone C=O to N-H hydrogen bonding in secondary structure elements.

### Usage

    sse.bridges(sse, type="helix", hbond=TRUE, energy.cut=-1.0)

### Arguments

`sse` | an sse object as obtained with `dssp`.
`type` | character string specifying ‘helix’ or ‘sheet’.
`hbond` | use hbond records in the dssp output.
`energy.cut` | cutoff for the dssp hbond energy.

### Details

Simple functionality to parse the ‘BP’ and ‘hbond’ records of the DSSP output.

Requires input from function `dssp` with arguments `resno=FALSE` and `full=TRUE`.

### Value

Returns a numeric matrix of two columns containing the residue ids of the paired residues.

### Author(s)

Lars Skjaerven

### References

Grant, B.J. et al. (2006) Bioinformatics 22, 2695–2696.

### See Also

`read.pdb`, `dssp`

### Examples

    ## Not run:
    # Read a PDB file
    pdb <- read.pdb( system.file("examples/1hel.pdb", package="bio3d") )
    sse <- dssp(pdb, resno=FALSE, full=TRUE)

    sse.bridges(sse, type="helix")

    ## End(Not run)

[Package bio3d version 2.3-4 Index]